package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import cn.com.qmth.examcloud.api.commons.security.bean.UserDataRule;
import cn.com.qmth.examcloud.core.questions.base.bean.PagerQuery;
import io.swagger.annotations.ApiModelProperty;

public class RandomPaperQuery extends PagerQuery {

	@ApiModelProperty("课程id")
	private Long courseId;

	@ApiModelProperty("模板名称")
	private String name;

	@ApiModelProperty("状态")
	private Boolean enable;
	
	@ApiModelProperty("ID")
	private String id;

	@ApiModelProperty(hidden = true)
	private Long rootOrgId;

	@ApiModelProperty(hidden = true)
	private UserDataRule ud;

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public UserDataRule getUd() {
		return ud;
	}

	public void setUd(UserDataRule ud) {
		this.ud = ud;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

}
